rem echo off
REM REPACK.BAT batch file to optimize program COMPACKtion.
if "%2" == "" goto help

COMPACK -i %1 %2
:try_again
if errorlevel 18 goto diet
if errorlevel 16 goto pklite
if errorlevel 15 goto lzexe
if errorlevel 14 goto comdev
if errorlevel 13 goto exedev
if errorlevel 12 goto try_EXE2BIN
if errorlevel 11 goto try_EXEPACK
if errorlevel 10 goto try_COM2EXE
if errorlevel 1  goto try_COPY
goto finish

:help
echo Copyright (C) 1991,92  W. J. Collis
echo .
echo This REPACK utility batch file optimizes program compaction by reversing
echo as required any previous less efficient compaction methods.  If
echo further compaction is not possible, REPACK will perform a simple COPY.
echo .
echo Usage:-   REPACK input_program output_program
goto finish

:diet
rem DIET is a public domain utility
copy %1 PACK$.$$$
DIET -r PACK$.$$$
goto compack:

:pklite
rem pklite is a shareware utility available from PKWARE Inc.
pklite -x %1 PACK$.$$$
goto compack:

:COMPACK
if errorlevel 1  goto try_COPY
COMPACK PACK$.$$$ %2
del PACK$.$$$
if errorlevel 1  goto try_COPY
goto finish

REM UNPACK.EXE is supplied by V Communications Inc. to reverse EXEPACK
REM Alternatively UPACKEXE (part of freeware LZEXE 0.91 PACKage) could be used.
:try_EXEPACK
UNPACK %1 PACK$.$$$
goto compack:

REM COMPACK versions 5.0 and later contain EXE2BIN, UNLZEXE and COM2EXE functionality.
:lzexe
:try_EXE2BIN
:try_COM2EXE
:exedev
:comdev
COMPACK %1 %2
if errorlevel 1  goto try_COPY
goto finish

:try_COPY
del PACK$.$$$
COPY %1 %2 /V
:finish
